Bug 1461276 - CVE-2017-0375 CVE-2017-0376 tor: Multiple vulnerabilities [fedora-all]
CVE-2017-0375 CVE-2017-0376 tor: Multiple vulnerabilities [fedora-all]
Status: NEW
Product: Fedora
Classification: Fedora
Component: tor (Show other bugs)
25
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-0375/CVE-2017-0376
  Show dependency treegraph
 
Reported: 2017-06-14 02:17 EDT by Andrej Nemec
Modified: 2017-08-10 18:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-14 02:17:06 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Andrej Nemec 2017-06-14 02:17:10 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1461058

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Marcel Haerry 2017-07-26 04:53:21 EDT
Jamie, I got 2 branches (master & epel7) up at https://git.scrit.ch/srpm/tor/ that include the update to 0.2.9.11, which addresses these CVEs.

Also I built them on my copr https://copr.fedorainfracloud.org/coprs/maha/tor-lts/builds/

You would be able to just pull the branches and push the updates to bodhi.
Comment 3 Paul DeStefano 2017-08-10 18:51:26 EDT
Thanks Marcel.  Cool.  I might try your copr, but I'd rather pull it out of updates-testing, if that's possible.

Just FYI, and I don't think it actually has happened before, but now my node is now marked as "outdated" by the directory.  This is what Atlas says:

This relay is running a Tor version that is not recommended by the directory authorities and may contain known issues.

Note You need to log in before you can comment on or make changes to this bug.